Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom.output
Class JDOMLocator

    java.lang.Object
      org.xml.sax.helpers.LocatorImpl
          org.jdom.output.JDOMLocator

All Implemented Interfaces:
  org.xml.sax.Locator

    public class JDOMLocator

extends org.xml.sax.helpers.LocatorImpl

An implementation of the SAX `Locator` interface that exposes the JDOM node being processed by SAXOutputter.

Field Summary
`private static java.lang.String` | `CVS_ID`
`private java.lang.Object` | `node` The JDOM node being processed by SAXOutputter.

Constructor Summary
`JDOMLocator()` Default no-arg constructor.
`JDOMLocator(org.xml.sax.Locator locator)` Copy contructor.

Method Summary
`java.lang.Object` | `getNode()` Returns the JDOM node being processed by SAXOutputter.
`(package private) void` | `setNode(java.lang.Object node)` Sets the being-processed node.

Methods inherited from class org.xml.sax.helpers.LocatorImpl
`getColumnNumber, getLineNumber, getPublicId, getSystemId, setColumnNumber, setLineNumber, setPublicId, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CVS_ID

    private static final java.lang.String CVS_ID

See Also:
  Constant Field Values

### node

    private java.lang.Object node

  The JDOM node being processed by SAXOutputter.

Constructor Detail

### JDOMLocator

    JDOMLocator()

  Default no-arg constructor.

### JDOMLocator

    JDOMLocator(org.xml.sax.Locator locator)

  Copy contructor.

  Parameters:
    `locator` - `Locator` to copy location information from.

Method Detail

### getNode

    public java.lang.Object getNode()

  Returns the JDOM node being processed by SAXOutputter.

  Returns:
    the JDOM node being processed by SAXOutputter.

### setNode

    void setNode(java.lang.Object node)

  Sets the being-processed node.

  Parameters:
    `node` - `Object` node currently processed by SAXOutputter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD